Skip to Content
Webhooks

Get webhook delivery stats

Accès

Membre de l’organisation avec cette autorisation :

  • webhooks:read

Une clé API avec des scopes doit aussi avoir l’autorisation dans ses scopes.

GET
/orgs/{organizationId}/webhooks/delivery-stats

Returns counts of webhook deliveries waiting for retry and permanently failed deliveries for the organization, grouped by webhook endpoint.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Response Body

OK

application/json
  1. response
pendingRetry*integer
Range0 <= value <= 9007199254740991
permanentlyFailed*integer
Range0 <= value <= 9007199254740991
byWebhook*array<>
Example Request
curl -X GET 'https://api.tillor.eu/orgs//webhooks/delivery-stats'
Example Response
{  "pendingRetry": 0,  "permanentlyFailed": 0,  "byWebhook": [    {      "webhookId": "string",      "url": "string",      "enabled": true,      "pendingRetry": 0,      "permanentlyFailed": 0,      "lastError": "string",      "lastPayload": "string"    }  ]}